# Serving Endpoint

## The InferenceEndpointDetailed object

- [serving-endpoint/object.md](serving-endpoint/object.md)

## Endpoints

### Get a single serving endpoint

- [GET /api/2.0/serving-endpoints/{name}](get-inference-endpoint.md)

### Get all serving endpoints

- [GET /api/2.0/serving-endpoints](list-inference-endpoints.md)

### Create a new serving endpoint

- [POST /api/2.0/serving-endpoints](create-inference-endpoint.md)

### Update config of a serving endpoint

- [PUT /api/2.0/serving-endpoints/{name}/config](put-inference-endpoint-config.md)

### Delete a serving endpoint

- [DELETE /api/2.0/serving-endpoints/{name}](delete-inference-endpoint.md)

### Create a new PT serving endpoint

- [POST /api/2.0/serving-endpoints/pt](create-provisioned-throughput-inference-endpoint.md)

### Get metrics of a serving endpoint

- [GET /api/2.0/serving-endpoints/{name}/metrics](get-export-endpoint-metrics.md)

### Get the schema for a serving endpoint

- [GET /api/2.0/serving-endpoints/{name}/openapi](get-inference-endpoint-schema.md)

### Get build logs for a served model

- [GET /api/2.0/serving-endpoints/{name}/served-models/{served_model_name}/build-logs](get-served-model-build-logs.md)

### Get the latest logs for a served model

- [GET /api/2.0/serving-endpoints/{name}/served-models/{served_model_name}/logs](get-served-model-logs.md)

### Update the telemetry config of a serving endpoint

- [PATCH /api/2.0/serving-endpoints/{name}/telemetry-config](patch-inference-endpoint-telemetry-config.md)

### Update rate limits of a serving endpoint

- [PUT /api/2.0/serving-endpoints/{name}/rate-limits](put-inference-endpoint-rate-limits.md)

### Update config of a PT serving endpoint

- [PUT /api/2.0/serving-endpoints/pt/{name}/config](put-provisioned-throughput-inference-endpoint-config.md)

### Update the email and webhook notification settings for an endpoint

- [PATCH /api/2.0/serving-endpoints/{name}/notifications](update-inference-endpoint-notifications.md)

### Update AI Gateway of a serving endpoint

- [PUT /api/2.0/serving-endpoints/{name}/ai-gateway](put-inference-endpoint-ai-gateway.md)

### Update tags of a serving endpoint

- [PATCH /api/2.0/serving-endpoints/{name}/tags](patch-inference-endpoint-tags.md)

